import type { Hash } from "@siteimprove/alfa-hash";
import { type Parser as CSSParser } from "../../syntax/index.js";
import { Unit } from "../../unit/index.js";
import { Dimension } from "./dimension.js";
/**
 * {@link https://drafts.csswg.org/css-values/#angles}
 *
 * @public
 */
export declare class Angle<U extends Unit.Angle = Unit.Angle> extends Dimension<"angle", U> {
    static of<U extends Unit.Angle>(value: number, unit: U): Angle<U>;
    private constructor();
    hasUnit<U extends Unit.Angle>(unit: U): this is Angle<U>;
    withUnit<U extends Unit.Angle>(unit: U): Angle<U>;
    scale(factor: number): Angle<U>;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Angle.JSON<U>;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Angle {
    interface JSON<U extends Unit.Angle = Unit.Angle> extends Dimension.JSON<"angle", U> {
    }
    function isAngle(value: unknown): value is Angle;
    const parse: CSSParser<Angle>;
}
//# sourceMappingURL=angle.d.ts.map